Page MenuHomePhabricator

skins/Mask - file permissions trigger debian lintian warnings
Closed, ResolvedPublic

Description

0) Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees a non-executable file with 755 permissions, rather than 644, lintian will throw a warning like:

W: wp-mirror-mediawiki: executable-not-elf-or-script usr/share/wp-mirror-mediawiki/skins/Mask/i18n/en.json.

  1. Files which should have permissions set to 644

skins/Mask/i18n/en.json
skins/Mask/i18n/qqq.json
skins/Mask/resources/fonts.css
skins/Mask/resources/main.css

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:
mediawiki/skins/Mask : masterchmod 644 for css files
mediawiki/skins/Mask : masterFix i18n file permissions

Event Timeline

wpmirrordev assigned this task to ashley.
wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2015, 7:05 AM

Change 237139 had a related patch set uploaded (by Merlijn van Deen):
Fix i18n file permissions

https://gerrit.wikimedia.org/r/237139

Change 237139 merged by jenkins-bot:
Fix i18n file permissions

https://gerrit.wikimedia.org/r/237139

ashley closed this task as Resolved.Sep 9 2015, 4:31 PM
wpmirrordev reopened this task as Open.Sep 9 2015, 5:12 PM

I confirm that the debian lintian warnings triggered by the i18n files are cured.
Thanks.
However, the debian lintian warnings triggered by the resources files still remain.
So, I reopen this task.

Change 237714 had a related patch set uploaded (by Southparkfan):
chmod 644 for css files

https://gerrit.wikimedia.org/r/237714

Change 237714 merged by jenkins-bot:
chmod 644 for css files

https://gerrit.wikimedia.org/r/237714

Umherirrender closed this task as Resolved.Sep 11 2015, 5:51 PM
Umherirrender set Security to None.

I confirm that all the above mentioned debian lintian warnings are cured.
Thanks.